
package com.ejie.ab63.clientesWS.ab79WebService;

import javax.xml.ws.WebFault;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebFault(name = "Ab79Exception", targetNamespace = "http://ab79.exe.webservice/")
public class Ab79Exception extends Exception {

	/**
	 * Java type that goes as soapenv:Fault detail element.
	 * 
	 */
	private Ab79ExceptionGeneral faultInfo;

	/**
	 * 
	 * @param message
	 * @param faultInfo
	 */
	public Ab79Exception(String message, Ab79ExceptionGeneral faultInfo) {
		super(message);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @param message
	 * @param faultInfo
	 * @param cause
	 */
	public Ab79Exception(String message, Ab79ExceptionGeneral faultInfo, Throwable cause) {
		super(message, cause);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @return returns fault bean:
	 *         com.ejie.ab63.clientesWS.ab79WebService.Ab79ExceptionGeneral
	 */
	public Ab79ExceptionGeneral getFaultInfo() {
		return faultInfo;
	}

}
